The config/limits.hpp header defines various library limits.

#### Usage

#include <boost/preprocessor/config/limits.hpp>

#### Contents

- BOOST_PP_LIMIT_DIM
- BOOST_PP_LIMIT_FOR
- BOOST_PP_LIMIT_ITERATION
- BOOST_PP_LIMIT_ITERATION_DIM
- BOOST_PP_LIMIT_MAG
- BOOST_PP_LIMIT_REPEAT
- BOOST_PP_LIMIT_SEQ
- BOOST_PP_LIMIT_SLOT_COUNT
- BOOST_PP_LIMIT_SLOT_SIG
- BOOST_PP_LIMIT_TUPLE
- BOOST_PP_LIMIT_WHILE